For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet mailbox domains
      • POSTCreate a mailbox domain
      • DELDelete a mailbox domain
      • POSTVerify a mailbox domain
LogoLogo
API StatusPartner Portal
UtilitiesMailbox domains

Verify a mailbox domain

POST
/mailbox_domains/:domain_id/verify
POST
/v1/mailbox_domains/:domain_id/verify
$curl -X POST https://api.sandbox.monite.com/v1/mailbox_domains/domain_id/verify \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "domain": "domain",
4 "status": "status"
5}

Verify domain for the partner_id

Was this page helpful?
Previous

Get mailboxes

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

domain_idstringRequired

Headers

x-monite-versionstringRequired

Response

Successful Response
idstringformat: "uuid"
Entry UUID
domainstringformat: "hostname"
The domain name.
statusstring

Errors

400
Post Mailbox Domains ID Verify Request Bad Request Error
401
Post Mailbox Domains ID Verify Request Unauthorized Error
403
Post Mailbox Domains ID Verify Request Forbidden Error
404
Post Mailbox Domains ID Verify Request Not Found Error
409
Post Mailbox Domains ID Verify Request Conflict Error
422
Post Mailbox Domains ID Verify Request Unprocessable Entity Error
500
Post Mailbox Domains ID Verify Request Internal Server Error